Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 184563 - arch testing for sys-process/audit
Summary: arch testing for sys-process/audit
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Core system (show other bugs)
Hardware: All Linux
: High enhancement (vote)
Assignee: Robin Johnson
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 184519
  Show dependency tree
 
Reported: 2007-07-08 03:49 UTC by SpanKY
Modified: 2008-05-22 17:47 UTC (History)
6 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
sys-process:audit-1.5.4:20070709-060626.log for HPPA stable (sys-process:audit-1.5.4:20070709-060626.log,71.79 KB, text/plain)
2007-07-09 07:50 UTC, Jeroen Roovers (RETIRED)
Details
emerge --info / HPPA stable (emerge.info-elmer,4.52 KB, text/plain)
2007-07-09 07:56 UTC, Jeroen Roovers (RETIRED)
Details
audit support detection (audit-1.5.4.patch,1.07 KB, patch)
2007-07-09 16:12 UTC, Jose Luis Rivero (yoswink) (RETIRED)
Details | Diff
sys-process:audit-1.6.8:20080220-152320.log (20080220-152320.log,59.03 KB, text/plain)
2008-02-20 15:48 UTC, Jeroen Roovers (RETIRED)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description SpanKY gentoo-dev 2007-07-08 03:49:11 UTC
sys-apps/shadow optionally supports sys-process/audit, but audit lacks KEYWORDS
Comment 1 Jeroen Roovers (RETIRED) gentoo-dev 2007-07-09 04:40:13 UTC
Is this to be expected?

>>> Test phase [check]: sys-process/audit-1.5.4
Making check in lib
make[1]: Entering directory `/mnt/alt/portage/sys-process/audit-1.5.4/work/audit
-1.5.4/lib'
make[1]: Nothing to be done for `check'.
make[1]: Leaving directory `/mnt/alt/portage/sys-process/audit-1.5.4/work/audit-
1.5.4/lib'
Making check in auparse
make[1]: Entering directory `/mnt/alt/portage/sys-process/audit-1.5.4/work/audit
-1.5.4/auparse'
Making check in test
make[2]: Entering directory `/mnt/alt/portage/sys-process/audit-1.5.4/work/audit
-1.5.4/auparse/test'
make  auparse_test auparse_test.py
make[3]: Entering directory `/mnt/alt/portage/sys-process/audit-1.5.4/work/audit
-1.5.4/auparse/test'
hppa2.0-unknown-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I../.. -I..    -O2 -pipe -msc
hedule=8000 -march=2.0 -ggdb -Wall -MT auparse_test.o -MD -MP -MF .deps/auparse_
test.Tpo -c -o auparse_test.o auparse_test.c
auparse_test.c:7:22: error: libaudit.h: No such file or directory
Comment 2 SpanKY gentoo-dev 2007-07-09 05:05:02 UTC
if that was expected, it wouldnt be very fun would it :p

fixed in cvs
Comment 3 Jeroen Roovers (RETIRED) gentoo-dev 2007-07-09 07:50:44 UTC
Created attachment 124300 [details]
sys-process:audit-1.5.4:20070709-060626.log for HPPA stable

(In reply to comment #2)
> if that was expected, it wouldnt be very fun would it :p
> 
> fixed in cvs

Thanks. :)

Attached is the build log which has some fun new stuff like objcopy complaining repeatedly with "Invalid operation". And auditd merely segfaults:

[17179733.152000] do_page_fault() pid=4484 command='auditd' type=15 address=0x824e095c
[17179733.152000] vm_start = 0x41276000, vm_end = 0x41278000
[17179733.152000] 
[17179733.152000]      YZrvWESTHLNXBCVMcbcbcbcbOGFRQPDI
[17179733.152000] PSW: 00000000000001101111111100001111 Not tainted
[17179733.152000] r00-03  0006ff0f 824dff24 4125f290 4036e990
[17179733.152000] r04-07  40f5eee4 001b7420 001ba088 001ba070
[17179733.152000] r08-11  00000000 001d9748 00000000 001b9f30
[17179733.152000] r12-15  00000000 001ba070 001b9ff8 00000001
[17179733.152000] r16-19  000d0cd8 000ae000 000cdcd8 41276f24
[17179733.152000] r20-23  38100000 faf5e006 00000000 4036ba1e
[17179733.152000] r24-27  faf5f198 00000001 40000000 41276f24
[17179733.152000] r28-31  00000000 2f2f2f2f faf5f380 faf5e007
[17179733.152000] sr00-03  00001ac7 00000000 00000000 00001ac7
[17179733.152000] sr04-07  00001ac7 00001ac7 00001ac7 00001ac7
[17179733.152000] 
[17179733.152000]       VZOUICununcqcqcqcqcqcrmunTDVZOUI
[17179733.152000] FPSR: 00000000000000000000000000000000
[17179733.152000] FPER1: 00000000
[17179733.152000] fr00-03  0000000000000000 0000000000000000 0000000000000000 0000000000000000
[17179733.152000] fr04-07  11bf800011bcb968 000000201016fa00 5555555555555555 0000000000000000
[17179733.152000] fr08-11  0000000011bf8000 0000000200000003 000000008f8d2480 fffff000ffffff9c
[17179733.152000] fr12-15  001d035855555555 000881801017b55c 5555555555555555 5555555555555555
[17179733.152000] fr16-19  ffffff9c55555555 5555555511a84188 5555555555555555 5555555555555555
[17179733.152000] fr20-23  5555555555555555 555555551016fdec 00000000000006c0 0000004000000000
[17179733.152000] fr24-27  0000001b00000000 3fe0000000000000 412e848000000000 1161ec62b15f1fca
[17179733.152000] fr28-31  5c4c873598592c4d a8f58ce90f3f9c1c 5c4c873555555555 2859887b55555555
[17179733.152000] 
[17179733.152000] IASQ: 00001ac7 00001ac7 IAOQ: 4125f2af 4125f2b3
[17179733.152000]  IIR: 483a1470    ISR: 00001ac7  IOR: 824e095c
[17179733.152000]  CPU:        0   CR30: 8cf2c000 CR31: 10568000
[17179733.152000]  ORIG_R28: 0000003f
[17179733.152000]  IAOQ[0]: 0x4125f2ac
[17179733.152000]  IAOQ[1]: 0x4125f2b0
[17179733.152000]  RP(r2): 0x4125f290
[  200.788000] 
[  200.788000] do_page_fault() pid=5925 command='auditd' type=15 address=0x824e095c
[  200.788000] vm_start = 0x41276000, vm_end = 0x41278000
[  200.788000] 
[  200.788000]      YZrvWESTHLNXBCVMcbcbcbcbOGFRQPDI
[  200.788000] PSW: 00000000000001101111111100001111 Not tainted
[  200.788000] r00-03  0006ff0f 824dff24 4125f290 4036e990
[  200.788000] r04-07  40b5eee4 0001561c 0001561c ffffffff
[  200.788000] r08-11  ffffffff fb00b2cc 0001561c 0001561c
[  200.788000] r12-15  00000008 0001561c 0001561c 0001561c
[  200.788000] r16-19  000d0cd8 000ae000 000cdcd8 41276f24
[  200.788000] r20-23  38100000 fb23f00e 00000000 4036ba1e
[  200.788000] r24-27  fb23f25c 00000001 40000000 41276f24
[  200.788000] r28-31  00000000 2f2f2f2f fb23f3c0 fb23f00f
[  200.788000] sr00-03  00002cdc 00000000 00000000 00002cdc
[  200.788000] sr04-07  00002cdc 00002cdc 00002cdc 00002cdc
[  200.788000] 
[  200.788000]       VZOUICununcqcqcqcqcqcrmunTDVZOUI
[  200.788000] FPSR: 00000000000000000000000000000000
[  200.788000] FPER1: 00000000
[  200.788000] fr00-03  0000000000000000 0000000000000000 0000000000000000 0000000000000000
[  200.788000] fr04-07  11bf800011bcb968 000000201016fa00 5555555555555555 0000000000000000
[  200.788000] fr08-11  0000000011bf8000 0000000200000003 000000008f8d2480 fffff000ffffff9c
[  200.788000] fr12-15  000aca8455555555 000ccc221017b55c 5555555555555555 5555555555555555
[  200.788000] fr16-19  ffffff9c55555555 5555555511a84188 5555555555555555 5555555555555555
[  200.788000] fr20-23  5555555555555555 555555551016fdec 00000000000006c0 0000004000000000
[  200.788000] fr24-27  0000001b00000000 3fe0000000000000 412e848000000000 1161ec62b15f1fca
[  200.788000] fr28-31  5c4c873598592c4d a8f58ce90f3f9c1c 5c4c873555555555 2859887b55555555
[  200.788000] 
[  200.788000] IASQ: 00002cdc 00002cdc IAOQ: 4125f2af 4125f2b3
[  200.788000]  IIR: 483a1470    ISR: 00002cdc  IOR: 824e095c
[  200.788000]  CPU:        0   CR30: 80cc4000 CR31: 10568000
[  200.788000]  ORIG_R28: 0000003f
[  200.788000]  IAOQ[0]: 0x4125f2ac
[  200.788000]  IAOQ[1]: 0x4125f2b0
[  200.788000]  RP(r2): 0x4125f290
Comment 4 Jeroen Roovers (RETIRED) gentoo-dev 2007-07-09 07:56:36 UTC
Created attachment 124301 [details]
emerge --info / HPPA stable

(In reply to comment #3)
> Created an attachment (id=124300) [edit]
> sys-process:audit-1.5.4:20070709-060626.log for HPPA stable

Related emerge --info...
Comment 5 Jose Luis Rivero (yoswink) (RETIRED) gentoo-dev 2007-07-09 09:06:58 UTC
News from the alpha front:

- 1.5 audit serie requires >2.6.20 which ATM is a no-no for alpha until we fix the problem with aboot (bug #166769). I tried 1.2.9-r2.

- Compile just fine but I can't make a proper testing of it. The daemon auditd always fails during start up. Strace is telling me that it wants to read "/proc/self/loginuid" and "/proc/self/oom_adj" which don't exist on my system. This added to a "Function not implemented" in the strace output is making me thinking I'm missing some kind of support needed for audit to work, probably in the kernel. 

I wasn't able to find any documentation about the tool.

Thanks.
Comment 6 Bugs Bunny 2007-07-09 13:53:02 UTC
(In reply to comment #5)
> News from the alpha front:
> 
> - 1.5 audit serie requires >2.6.20 which ATM is a no-no for alpha until we fix
> the problem with aboot (bug #166769). I tried 1.2.9-r2.
> 
> - Compile just fine but I can't make a proper testing of it. The daemon auditd
> always fails during start up. Strace is telling me that it wants to read
> "/proc/self/loginuid" and "/proc/self/oom_adj" which don't exist on my system.
> This added to a "Function not implemented" in the strace output is making me
> thinking I'm missing some kind of support needed for audit to work, probably in
> the kernel. 
> 
> I wasn't able to find any documentation about the tool.
> 
> Thanks.
> 

There is audit support in the kernel, a check should be made to ensure it is enabled.
Comment 7 Jeroen Roovers (RETIRED) gentoo-dev 2007-07-09 14:55:28 UTC
(In reply to comment #6)
> There is audit support in the kernel, a check should be made to ensure it is
> enabled.

# zgrep AUDIT /proc/config.gz
CONFIG_AUDIT=y
CONFIG_AUDIT_GENERIC=y
# uname -a
Linux elmer 2.6.20.1-hppa-JeR #2 Mon Jul 9 09:19:57 CEST 2007 parisc PA8700 (PCX-W2) 9000/785/C3650 GNU/Linux
Comment 8 Jose Luis Rivero (yoswink) (RETIRED) gentoo-dev 2007-07-09 16:12:11 UTC
Created attachment 124340 [details, diff]
audit support detection

I'm not sure if audit can work in any way without the kernel support. If this in not the case and the kernel support is strictly needed, this patch should do the trick. (patch against 1.5.4 version).
Comment 9 SpanKY gentoo-dev 2007-07-09 20:06:16 UTC
objcopy giving the "invalid operation" is unrelated and not specific to audit -- it has also been fixed in latest portage.  run `objcopy -R .gnu_debuglink /usr/lib*/crt?.o` to work around it in the meantime.

as for the crash, that's a bug in your kernel, not the audit package

while adding a *warning* is ok for checking the kernel, adding a die is out of the question
Comment 10 Jeroen Roovers (RETIRED) gentoo-dev 2007-07-10 16:11:13 UTC
(In reply to comment #9)
> as for the crash, that's a bug in your kernel, not the audit package

The same segfault happens as well with a pretty much vanilla 2.6.22:

Linux elmer 2.6.22-JeR #2 Tue Jul 10 12:34:45 CEST 2007 parisc PA8700 (PCX-W2) 9000/785/C3650 GNU/Linux
Comment 11 SpanKY gentoo-dev 2007-07-10 18:44:15 UTC
a segfault in userland is irrelevant if the kernel is crashing which is what your dmesg showed, right ?
Comment 12 Jeroen Roovers (RETIRED) gentoo-dev 2007-07-10 18:47:32 UTC
(In reply to comment #11)
> a segfault in userland is irrelevant if the kernel is crashing which is what
> your dmesg showed, right ?

dmesg showed a segfault in userland. I think I never even mentioned any kernel crashes (I think I would have called them panics too, just to be absolutely clear.) :)
Comment 13 Raúl Porcel (RETIRED) gentoo-dev 2007-07-10 19:42:18 UTC
~ia64 done
Comment 14 Gustavo Zacarias (RETIRED) gentoo-dev 2007-07-11 18:32:18 UTC
~sparc tasty.
Comment 15 Jory A. Pratt gentoo-dev 2007-09-18 19:32:17 UTC
This bug is actually blocking bug #189669 which is breaking other packages with its auto dep on an installed version of audit when pam runs its configure.
Comment 16 Robin Johnson archtester Gentoo Infrastructure gentoo-dev Security 2007-09-19 00:03:08 UTC
Reping for alpha, arm, mips, hppa, ppc64, s390, sh, m68k (vapier).
As pam-0.99.8.1-r1 uses USE=audit, 

I have use.masked USE=audit on your arches pending you testing this.
Comment 17 Markus Rothe (RETIRED) gentoo-dev 2007-10-28 13:43:24 UTC
added ~ppc64

(sorry, this took loooong)
Comment 18 Jeroen Roovers (RETIRED) gentoo-dev 2008-01-10 18:37:10 UTC
(In reply to comment #16)
> Reping for alpha, arm, mips, hppa, ppc64, s390, sh, m68k (vapier).
> As pam-0.99.8.1-r1 uses USE=audit, 
> 
> I have use.masked USE=audit on your arches pending you testing this.

Until someone imports a list of architecture specific signals for audit to use on HPPA, it can't be used at all on these systems.
Comment 19 Jeroen Roovers (RETIRED) gentoo-dev 2008-02-20 15:44:12 UTC
Marked sys-process/audit-1.6.8 ~hppa, with the following notes:
1) The test phase fails without reporting a reason.

+event has 1 records
+    record 1 of type 1103(CRED_ACQ) has 11 fields
+    line=40 file=None
+    event time: 1203520164.358:50, host=(null)
+
+Test 10 Done

make[2]: *** [check] Error 1
make[2]: Leaving directory `/dev/shm/portage/sys-process/audit-1.6.8/work/audit-
1.6.8/auparse/test'
make[1]: *** [check-recursive] Error 1
make[1]: Leaving directory `/dev/shm/portage/sys-process/audit-1.6.8/work/audit-
1.6.8/auparse'
make: *** [check-recursive] Error 1
 *
 * ERROR: sys-process/audit-1.6.8 failed.
 * Call stack:
 *               ebuild.sh, line   49:  Called src_test
 *             environment, line 2692:  Called die

make check also fails outside the sandbox.

2) sys-libs/pam builds with USE=audit and neatly reports logins (which also turn up in dmesg - yuck!).

3) auditd appears to do its job. /etc/audit/audit.rules appears to be too old and uncommenting any of the lines it recommends results in errors being reported on those exact line numbers (17 and 20).

4) In a sanity check on an x86 that doesn't have openldap (or any other LDAP) installed, it turned out that sys-process/audit-1.6.8 automagically depends on openldap and fails to build entirely:

i686-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I../../.. -I.. -I../../../lib -I../..
/../auparse   -W -Wall -Wundef -D_GNU_SOURCE -Os -march=pentium3 -pipe  -c -o au
dispd_zos_remote-zos-remote-ldap.o `test -f 'zos-remote-ldap.c' || echo './'`zos
-remote-ldap.c
i686-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I../../.. -I.. -I../../../lib -I../..
/../auparse   -W -Wall -Wundef -D_GNU_SOURCE -Os -march=pentium3 -pipe  -c -o au
dispd_zos_remote-zos-remote-config.o `test -f 'zos-remote-config.c' || echo './'
`zos-remote-config.c
i686-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I../../.. -I.. -I../../../lib -I../..
/../auparse   -W -Wall -Wundef -D_GNU_SOURCE -Os -march=pentium3 -pipe  -c -o au
dispd_zos_remote-zos-remote-queue.o `test -f 'zos-remote-queue.c' || echo './'`z
os-remote-queue.c
In file included from zos-remote-log.h:27,
                 from zos-remote-log.c:23:
zos-remote-ldap.h:27:18: error: lber.h: No such file or directory
zos-remote-ldap.h:28:18: error: ldap.h: No such file or directory

Wed Feb 20 16:43:23 CET 2008
Portage 2.1.4.4 (default-linux/hppa/2007.0, gcc-4.1.2, glibc-2.7-r1, 2.6.24-gentoo-r2-JeR parisc)
=================================================================
System uname: 2.6.24-gentoo-r2-JeR parisc PA8700 (PCX-W2)
Timestamp of tree: Wed, 20 Feb 2008 05:46:01 +0000
distcc 2.18.3 hppa2.0-unknown-linux-gnu (protocols 1 and 2) (default port 3632) [disabled]
ccache version 2.4 [disabled]
app-shells/bash:     3.2_p17-r1
dev-lang/python:     2.4.4-r6
dev-python/pycrypto: 2.0.1-r6
dev-util/ccache:     2.4-r7
sys-apps/baselayout: 2.0.0_rc6-r1
sys-apps/sandbox:    1.2.18.1-r2
sys-devel/autoconf:  2.13, 2.61-r1
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10
sys-devel/binutils:  2.18-r1
sys-devel/gcc-config: 1.4.0-r4
sys-devel/libtool:   1.5.24
virtual/os-headers:  2.6.23-r3
ACCEPT_KEYWORDS="hppa"
CBUILD="hppa2.0-unknown-linux-gnu"
CFLAGS="-O2 -pipe -mschedule=8000 -march=2.0 -ggdb -Wall"
CHOST="hppa2.0-unknown-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/share/X11/xkb /usr/share/config /var/bind /var/spool/torque /var/www/localhost/htdocs/wordpress/wp-config.php"
CONFIG_PROTECT_MASK="/etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5/ext-active/ /etc/php/cgi-php5/ext-active/ /etc/php/cli-php5/ext-active/ /etc/revdep-rebuild /etc/terminfo /etc/texmf/web2c /etc/udev/rules.d"
CXXFLAGS="-O2 -pipe -mschedule=8000 -march=2.0 -ggdb -Wall"
DISTDIR="/keeps/gentoo/distfiles"
FEATURES="autoaddcvs buildpkg cvs distlocks fixpackages notitles sandbox sfperms splitdebug strict unmerge-orphans userfetch"
GENTOO_MIRRORS="http://ftp.snt.utwente.nl/pub/os/linux/gentoo http://mirror.muntinternet.net/pub/gentoo/ http://gentoo.tiscali.nl/"
LC_ALL="en_US.UTF-8"
LINGUAS="en nl he"
MAKEOPTS="-j4"
PKGDIR="/keeps/gentoo/packages/elmer"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/mnt/alt/portage-tmp"
PORTDIR="/keeps/gentoo/portage"
PORTDIR_OVERLAY="/keeps/gentoo/local"
SYNC="rsync://rsync.europe.gentoo.org/gentoo-portage"
USE="7zip X Xaw3d a52 aac aalib accessibility ads alsa amr amrnb amrwb ao aoss apache2 ares arts asf async asyncns audiofile audit automount avfs bash-completion berkdb bidi bitmap-fonts bittorrent bl bzip2 c++ cairo caps catalogs cblas cdb cddb cdparanoia cdr chardet cjk cli cpudetection cracklib crypt cups curl custom-cflags dbtool dbus device-mapper dga dia directfb djbfft domainkeys dts dv dvd dvdr dvdread dxr3 edl elf emacs enca encode esd examples exif expat fam fame fastbuild fastcgi fbcon ffmpeg filter flac fontconfig foomaticdb fortran ftp gadu gd gdbm geoip ggi gif gimp gimpprint glep glib glut gmp gnome gnutls gphoto2 gpm gs gsl gtk gtk2 gtkhtml hal hesiod hppa ical icecast iconv idea idn imagemagick imlib immqt-bc inquisitio ipv6 isdnlog jack javascript jingle jpeg jpeg2k kde kerberos lapack lcms ldap leim libcaca libnotify libsamplerate libwww logrotate logwatch lua lzo mad matroska memcache mhash midi mikmod mmap mng modplug motif mozbranding mp3 mssql mudflap musepack mysql nas ncurses netpbm network-cron nfconntrack nfs nls nntp nptl nptlonly nsplugin offensive ogg openexr opengl openmp oss ots overlays pam pango pbs pch pcre pdf pdo-external perl php pic plotutils plugins png portage portaudio postgres povray ppds pppd pulseaudio python pyzord qdbm qt3 qt3support quotas raw readline recode reflection rpc rrdtool rtc ruby samba sasl scanner scim sdl seamonkey session sid slang slp sndfile snmp soundex speex spell spl sqlite ssl startup-notification suhosin svg swat sysfs talkfilters tcl tcpd tga theora threads thunar-vfs tidy tiff timidity tk tools truetype truetype-fonts twolame type1-fonts udev unicode unzip urandom usb userlocales utempter utf v4l v4l2 vanim vcd vidix vim-syntax vorbis wavpack webdav webinstall winbind wlan wma wmf xanim xchattext xcomposite xface xml xml2 xmpi xorg xpm xrandr xscreensaver xsettings xulrunner xv xvid xvmc zip zip-external zlib" ALSA_CARDS="ad1889 usb-audio" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic auth_digest authn_anon authn_dbd authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock dbd deflate dir disk_cache env expires ext_filter file_cache filter headers ident imagemap include info log_config logio mem_cache mime mime_magic negotiation proxy proxy_ajp proxy_balancer proxy_connect proxy_http rewrite setenvif so speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES="keyboard mouse evdev joystick" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="en nl he" USERLAND="GNU" VIDEO_CARDS="stifb fbdev matrox"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LANG, LDFLAGS, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 20 Jeroen Roovers (RETIRED) gentoo-dev 2008-02-20 15:48:31 UTC
Created attachment 144120 [details]
sys-process:audit-1.6.8:20080220-152320.log

The old 1.5.4 build log isn't important.
Comment 21 Robin Johnson archtester Gentoo Infrastructure gentoo-dev Security 2008-02-20 22:48:52 UTC
(In reply to comment #19)
> Marked sys-process/audit-1.6.8 ~hppa, with the following notes:
> 1) The test phase fails without reporting a reason.
Disabled, 1.6.8 has Redhat-specific testcases.

> 2) sys-libs/pam builds with USE=audit and neatly reports logins (which also
> turn up in dmesg - yuck!).
They are meant to.

> 3) auditd appears to do its job. /etc/audit/audit.rules appears to be too old
> and uncommenting any of the lines it recommends results in errors being
> reported on those exact line numbers (17 and 20).
Will fix.

> 4) In a sanity check on an x86 that doesn't have openldap (or any other LDAP)
> installed, it turned out that sys-process/audit-1.6.8 automagically depends on
> openldap and fails to build entirely:
Solved already.
Comment 22 Tobias Klausmann gentoo-dev 2008-04-06 18:23:44 UTC
Keyworded 1.6.8 on alpha. Compiles and audits :)
Comment 23 Robin Johnson archtester Gentoo Infrastructure gentoo-dev Security 2008-05-22 17:47:54 UTC
Looks like this is all resolved.